/*  Auteur: Simon Pauw
    Project: Arduinocursus ZB45
    Datum: April 2016
    Programma: LDR
    Beschrijving: Lees de waarde van een LDR-module en stuur deze via de USB door naar de computer
*/

// Setup: Dit wordt 1 keer uitgevoerd, direct na het starten van de Arduino.
void setup() {
  // Stel pin A0 (analoog) in als input.
  pinMode(A0, INPUT);

  // Start een serielen (USB) verbinding met de computer
  Serial.begin(9600);

  // Wacht even tot de seriele verbinding is gestart
  delay(500);
}

// Loop: Deze code wordt eindeloos herhaald.
void loop() {
  // Lees de waarde op pin A0 en stuur deze door naar de computer
  Serial.println(analogRead(A0));

  // Wacht een halve seconde
  delay(500);
}
