/*  Auteur: Simon Pauw
 *  Project: Arduinocursus ZB45
 *  Datum: April 2016
 *  Programma: PWM
 *  Beschrijving: Laad een LED (schijnbaar) op 20% vermogen branden
 */

// Variable declaratie
int intensiteit = 0;

// Setup: Dit wordt 1 keer uitgevoerd, direct na het starten van de Arduino.
void setup() {
  // Stel pin 3 en 5 in als uitput.
  pinMode(5, OUTPUT);
  
}

// Loop: Deze code wordt eindeloos herhaald.
void loop() {

  // Stel de intensiteit van de PWM op pin 3 in.
  analogWrite(5, intensiteit);

  // Verhoog de waarde van de intensiteit met 1
  intensiteit = intensiteit + 1;

  if(intensiteit > 255) {
   intensiteit = 0;
  }

  // Wacht 100 ms
  delay(10);
}
