/* Sweep
  by BARRAGAN <http://barraganstudio.com>
  This example code is in the public domain.

  modified 8 Nov 2013
  by Scott Fitzgerald
  http://www.arduino.cc/en/Tutorial/Sweep
*/

#include <Servo.h>

Servo myservo;  // create servo object to control a servo
// twelve servo objects can be created on most boards

int pos = 0;    // variable to store the servo position
int stap = 1;
void setup() {
  pinMode(2,INPUT);
  myservo.attach(9);  // attaches the servo on pin 9 to the servo object
}

void loop() {
  if (digitalRead(2) == 0) {
    pos = pos + stap;
  }
  if (pos >= 180) {
    stap = -1;
  }
  if (pos <= 0) {
    stap = 1;
  }
  myservo.write(pos);              // tell servo to go to position in variable 'pos'
  delay(15);
}

